Ruby: pm_call_target_node Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
pm_call_target_node Struct Reference

CallTargetNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| CallTargetNode#receiver.
pm_location_t | call_operator_loc
| CallTargetNode#call_operator_loc.
pm_constant_id_t | name
| CallTargetNode#name.
pm_location_t | message_loc
| CallTargetNode#message_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

CallTargetNode.

Represents assigning to a method call.

    foo.bar, = 1
    ^^^^^^^

    begin
    rescue => foo.bar
              ^^^^^^^
    end

    for foo.bar in baz do end
        ^^^^^^^

Type: ::PM_CALL_TARGET_NODE

Flags (#pm_call_node_flags):

- ::PM_CALL_NODE_FLAGS_SAFE_NAVIGATION
- ::PM_CALL_NODE_FLAGS_VARIABLE_CALL
- ::PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE
- ::PM_CALL_NODE_FLAGS_IGNORE_VISIBILITY

Definition at line 2470 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_call_target_node::base

The embedded base node.

Definition at line 2472 of file ast.h.

Referenced by pm_dump_json().

## ◆ call_operator_loc

pm_location_t pm_call_target_node::call_operator_loc

CallTargetNode#call_operator_loc.

Represents the location of the call operator.

    foo.bar = 1
       ^

Definition at line 2493 of file ast.h.

Referenced by pm_dump_json().

## ◆ message_loc

pm_location_t pm_call_target_node::message_loc

CallTargetNode#message_loc.

Represents the location of the message.

    foo.bar = 1
        ^^^

Definition at line 2513 of file ast.h.

Referenced by pm_dump_json().

## ◆ name

pm_constant_id_t pm_call_target_node::name

CallTargetNode#name.

Represents the name of the method being called.

    foo.bar = 1 # name `:foo`
    ^^^

Definition at line 2503 of file ast.h.

Referenced by pm_dump_json().

## ◆ receiver

struct pm_node* pm_call_target_node::receiver

CallTargetNode#receiver.

The object that the method is being called on. This can be any non-void expression.

    foo.bar = 1
    ^^^

Definition at line 2483 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h